MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029868Open CASCADE[OCCT] OCCT:DRAWpublic2018-06-14 18:112018-07-08 12:03
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029868: Draw Harness - help message for readstl command is unclear
Descriptionhelp readstl prints:
> readstl         : shape file [triangulation: no by default]

It is not possible from this description to understand what "triangulation" option does and how to use it - command does not report any error on wrong input.

On file read failure I see:
Error: read filed

It is unclear where it should be filed.
Steps To Reproduce
help readstl
readstl s sss.stl 1
readstl
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0076787)
git (administrator)
2018-06-14 18:47

Branch CR29868 has been created by kgv.

SHA-1: aabf49a6655c5efb48a75d22bbca9595ce49c991


Detailed log of new commits:

Author: kgv
Date: Thu Jun 14 18:45:58 2018 +0300

    0029868: Draw Harness - help message for readstl command is unclear
(0076788)
kgv (developer)
2018-06-14 18:48

Patch is ready for review.
(0076789)
git (administrator)
2018-06-14 18:49

Branch CR29868 has been updated forcibly by kgv.

SHA-1: 9eeaeb9ea460729f5882cd4a7d009a91acc58973
(0077225)
abv (manager)
2018-07-03 12:13

It seems that this modification will change existing behavior: in previous state, argument "triangulation" could be added to request loading STL as single triangulation; now it is needed to add additional argument (e.g. "1") for that. Hence, many tests that use that parameter will be broken.

I propose to change default of this command to produce triangulation instead of faces. Instead of argument "triangulation", I propose having argument "-brep" (possibly without an additional numeric argument -- this is one-shot choice and thus we do not need to switch it off).
(0077228)
git (administrator)
2018-07-03 13:12

Branch CR29868_1 has been created by kgv.

SHA-1: 1cbf9eafd31cf57986030935e115c00dfb57d9cb


Detailed log of new commits:

Author: kgv
Date: Thu Jun 14 18:45:58 2018 +0300

    0029868: Draw Harness - help message for readstl command is unclear
    
    readstl syntax has been modified, so that it creates a single-face triangulation by default.
    The argument "trinagulation" is no more supported.
    The new argument "-brep" has been introduced instead to generate
    a compound of per-triangle faces instead (old default behavior of the command).
(0077231)
kgv (developer)
2018-07-03 13:52

Patch has been updated following remarks.

http://jenkins-test-11.nnov.opencascade.com/view/CR29868_1-CR29868_1-KGV/ [^]
(0077256)
abv (manager)
2018-07-04 11:33

No remarks, please integrate
(0077276)
bugmaster (administrator)
2018-07-04 20:59

Combination -
OCCT branch : CR29868_1 SHA - 1cbf9eafd31cf57986030935e115c00dfb57d9cb
Products branch : CR29868_1 SHA - b82cf9f645033d3738c66089f07caef97ea2bcdd
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17110.149999999863 / 17168.50999999987 [-0.34%]
Products
Total CPU difference: 7479.130000000025 / 7526.93000000002 [-0.64%]
Windows-64-VC10:
OCCT
Total CPU difference: 16923.284881898526 / 16935.000556998602 [-0.07%]
Products
Total CPU difference: 8259.675746299856 / 8215.262261599859 [+0.54%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077359)
git (administrator)
2018-07-08 12:00

Branch CR29868_1 has been deleted by inv.

SHA-1: 1cbf9eafd31cf57986030935e115c00dfb57d9cb
(0077365)
git (administrator)
2018-07-08 12:00

Branch CR29868 has been deleted by inv.

SHA-1: 9eeaeb9ea460729f5882cd4a7d009a91acc58973

- Related Changesets
occt: master 4c4420df
Timestamp: 2018-06-14 15:45:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029868: Draw Harness - help message for readstl command is unclear

readstl syntax has been modified, so that it creates a single-face triangulation by default.
The argument "trinagulation" is no more supported.
The new argument "-brep" has been introduced to generate
a compound of per-triangle faces instead (old default behavior of the command).
mod - src/RWStl/RWStl_Reader.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
mod - tests/bugs/fclasses/bug23192_1 Diff ] File ]
mod - tests/bugs/fclasses/bug23192_2 Diff ] File ]
mod - tests/bugs/modalg_7/bug29524 Diff ] File ]
mod - tests/bugs/stlvrml/bug26338 Diff ] File ]
mod - tests/bugs/stlvrml/bug27622 Diff ] File ]
mod - tests/bugs/stlvrml/bug28680 Diff ] File ]
mod - tests/bugs/xde/bug22670_1 Diff ] File ]
mod - tests/bugs/xde/bug22670_2 Diff ] File ]
mod - tests/bugs/xde/bug22898 Diff ] File ]
mod - tests/bugs/xde/bug6384 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A1 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A10 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A11 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A12 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A2 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A3 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A4 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A5 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A6 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A7 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A8 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/A9 Diff ] File ]
mod - tests/de_mesh/stl_read/A1 Diff ] File ]
mod - tests/de_mesh/stl_read/A10 Diff ] File ]
mod - tests/de_mesh/stl_read/A11 Diff ] File ]
mod - tests/de_mesh/stl_read/A12 Diff ] File ]
mod - tests/de_mesh/stl_read/A13 Diff ] File ]
mod - tests/de_mesh/stl_read/A14 Diff ] File ]
mod - tests/de_mesh/stl_read/A15 Diff ] File ]
mod - tests/de_mesh/stl_read/A2 Diff ] File ]
mod - tests/de_mesh/stl_read/A3 Diff ] File ]
mod - tests/de_mesh/stl_read/A4 Diff ] File ]
mod - tests/de_mesh/stl_read/A5 Diff ] File ]
mod - tests/de_mesh/stl_read/A6 Diff ] File ]
mod - tests/de_mesh/stl_read/A7 Diff ] File ]
mod - tests/de_mesh/stl_read/A8 Diff ] File ]
mod - tests/de_mesh/stl_read/A9 Diff ] File ]
mod - tests/de_mesh/stl_read/B1 Diff ] File ]
mod - tests/de_mesh/stl_read/B10 Diff ] File ]
mod - tests/de_mesh/stl_read/B11 Diff ] File ]
mod - tests/de_mesh/stl_read/B12 Diff ] File ]
mod - tests/de_mesh/stl_read/B13 Diff ] File ]
mod - tests/de_mesh/stl_read/B14 Diff ] File ]
mod - tests/de_mesh/stl_read/B15 Diff ] File ]
mod - tests/de_mesh/stl_read/B2 Diff ] File ]
mod - tests/de_mesh/stl_read/B3 Diff ] File ]
mod - tests/de_mesh/stl_read/B4 Diff ] File ]
mod - tests/de_mesh/stl_read/B5 Diff ] File ]
mod - tests/de_mesh/stl_read/B6 Diff ] File ]
mod - tests/de_mesh/stl_read/B7 Diff ] File ]
mod - tests/de_mesh/stl_read/B8 Diff ] File ]
mod - tests/de_mesh/stl_read/B9 Diff ] File ]
mod - tests/de_mesh/stl_read/C1 Diff ] File ]
mod - tests/de_mesh/stl_read/C10 Diff ] File ]
mod - tests/de_mesh/stl_read/C11 Diff ] File ]
mod - tests/de_mesh/stl_read/C12 Diff ] File ]
mod - tests/de_mesh/stl_read/C13 Diff ] File ]
mod - tests/de_mesh/stl_read/C14 Diff ] File ]
mod - tests/de_mesh/stl_read/C15 Diff ] File ]
mod - tests/de_mesh/stl_read/C2 Diff ] File ]
mod - tests/de_mesh/stl_read/C3 Diff ] File ]
mod - tests/de_mesh/stl_read/C4 Diff ] File ]
mod - tests/de_mesh/stl_read/C5 Diff ] File ]
mod - tests/de_mesh/stl_read/C6 Diff ] File ]
mod - tests/de_mesh/stl_read/C7 Diff ] File ]
mod - tests/de_mesh/stl_read/C8 Diff ] File ]
mod - tests/de_mesh/stl_read/C9 Diff ] File ]
mod - tests/de_mesh/stl_read/D1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-14 18:11 kgv New Issue
2018-06-14 18:11 kgv Assigned To => kgv
2018-06-14 18:13 kgv Description Updated View Revisions
2018-06-14 18:26 kgv Relationship added related to 0028680
2018-06-14 18:27 kgv Relationship added related to 0029867
2018-06-14 18:27 kgv File Added: stl-binary-extra-bytes.stl
2018-06-14 18:47 git Note Added: 0076787
2018-06-14 18:48 kgv Note Added: 0076788
2018-06-14 18:48 kgv Assigned To kgv => abv
2018-06-14 18:48 kgv Status new => resolved
2018-06-14 18:49 git Note Added: 0076789
2018-06-14 19:27 kgv File Deleted: stl-binary-extra-bytes.stl
2018-07-03 12:13 abv Note Added: 0077225
2018-07-03 12:13 abv Assigned To abv => kgv
2018-07-03 12:13 abv Status resolved => assigned
2018-07-03 13:12 git Note Added: 0077228
2018-07-03 13:52 kgv Note Added: 0077231
2018-07-03 13:52 kgv Assigned To kgv => abv
2018-07-03 13:52 kgv Status assigned => resolved
2018-07-04 11:33 abv Note Added: 0077256
2018-07-04 11:33 abv Assigned To abv => bugmaster
2018-07-04 11:33 abv Status resolved => reviewed
2018-07-04 20:59 bugmaster Test case number => Not needed
2018-07-04 20:59 bugmaster Note Added: 0077276
2018-07-04 20:59 bugmaster Status reviewed => tested
2018-07-08 11:37 bugmaster Changeset attached => occt master 4c4420df
2018-07-08 11:37 bugmaster Status tested => verified
2018-07-08 11:37 bugmaster Resolution open => fixed
2018-07-08 12:00 git Note Added: 0077359
2018-07-08 12:00 git Note Added: 0077365


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker